/**
 * EasyBeans
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ClassInfo.java 11421 2007-08-28 15:58:24Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.fastrmic;

/**
 * Class holder for the name of the class and the associated bytecode.
 * @author Florent BENOIT
 */
public class ClassInfo {

    /**
     * Name of the class.
     */
    private String name = null;

    /**
     * Bytecode of the class.
     */
    private byte[] bytecode = null;

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the name of the class
     * @param name the given name
     */
    public void setName(final String name) {
        this.name = name;
    }

    /**
     * @return the array of bytes.
     */
    public byte[] getBytecode() {
        return bytecode;
    }

    /**
     * Sets the bytecode for this class
     * @param bytecode
     */
    public void setBytecode(final byte[] bytecode) {
        this.bytecode = bytecode;
    }




}
